import request from '@/utils/request'

//宅基地概况-综合统计
export function houseBaseStatistics(params) {
  return request({
    url: '/house/dataScreen/houseBaseStatistics',
    method: 'get',
    params: params
  })
}
//宅基地概况-宅基地及农户情况
export function houseAndFarmerStatistics(params) {
  return request({
    url: '/house/dataScreen/houseAndFarmerStatistics',
    method: 'get',
    params: params
  })
}
//宅基地概况-一户多宅、危房、闲置、人均宅基地面积情况
export function houseByDeptStatistics(params) {
  return request({
    url: '/house/dataScreen/houseByDeptStatistics',
    method: 'get',
    params: params,timeout:9999999,
  })
}

//宅基地概况-获取宅基地代码
export function getZjddmList(params) {
  return request({
    url: '/house/dataScreen/getZjddmList',
    method: 'get',
    params: params
  })
}

//宅基地管理-一规划指标
export function houseProgrammeStatistics(params) {
  return request({
    url: '/house/dataScreen/houseProgrammeStatistics',
    method: 'get',
    params: params
  })
}
//宅基地管理-一宅基地申请
export function houseApplyStatistics(params) {
  return request({
    url: '/house/dataScreen/houseApplyStatistics',
    method: 'get',
    params: params
  })
}
//宅基地管理--建房需求
export function houseApplyBuildingTypeStatistics(params) {
  return request({
    url: '/house/dataScreen/houseApplyBuildingTypeStatistics',
    method: 'get',
    params: params
  })
}
//宅基地管理--申请农户情况
export function houseApplyHouseholdStatistics(params) {
  return request({
    url: '/house/dataScreen/houseApplyHouseholdStatistics',
    method: 'get',
    params: params
  })
}
//宅基地管理--批准用地情况
export function houseApplyAuditedGeographicTypeStatistics(params) {
  return request({
    url: '/house/dataScreen/houseApplyAuditedGeographicTypeStatistics',
    method: 'get',
    params: params
  })
}
//宅基地管理--获取规划地类名称及颜色
export function houseApplyGetLandNameAndColor() {
  return request({
    url: '/house/dataScreen/houseApplyGetLandNameAndColor',
    method: 'get'
  })
}
//宅基地利用--管理利用统计
export function houseManageUsageStatistics(params) {
  return request({
    url: '/house/dataScreen/houseManageUsageStatistics',
    method: 'get',
    params: params
  })
}
//宅基地利用--宅基地利用情况
export function houseUsageStatistics(params) {
  return request({
    url: '/house/dataScreen/houseUsageStatistics',
    method: 'get',
    params: params
  })
}
//宅基地利用--农房利用情况
export function houseBuildingUsageStatistics(params) {
  return request({
    url: '/house/dataScreen/houseBuildingUsageStatistics',
    method: 'get',
    params: params
  })
}
//宅基地利用--农房盘活情况
export function houseBuildingReUsageStatistics(params) {
  return request({
    url: '/house/dataScreen/houseBuildingReUsageStatistics',
    method: 'get',
    params: params
  })
}
//宅基地监管--巡查统计
export function houseInspectionStatistics(params) {
  return request({
    url: '/house/dataScreen/houseInspectionStatistics',
    method: 'get',
    params: params
  })
}
//宅基地监管--违法统计
export function houseIllegalStatistics(params) {
  return request({
    url: '/house/dataScreen/houseIllegalStatistics',
    method: 'get',
    params: params
  })
}
//宅基地监管--监管预警
export function houseSuperviseWarningStatistics(params) {
  return request({
    url: '/house/dataScreen/houseSuperviseWarningStatistics',
    method: 'get',
    params: params
  })
}
//宅基地搜索详情弹出框
export function houseDetailList(params) {
  return request({
    url: '/house/dataScreen/houseDetailList',
    method: 'get',
    params: params
  })
}
//宅基地管理--规划指标弹窗
  export function houseProgrammeStatisticsList(params) {
    return request({
      url: '/house/dataScreen/houseProgrammeStatisticsList',
      method: 'get',
      params: params
    })
  }
//宅基地管理--建房申请弹窗
export function houseApplyBuildingTypeStatisticsList(params) {
  return request({
    url: '/house/dataScreen/houseApplyBuildingTypeStatisticsList',
    method: 'get',
    params: params
  })
}
//宅基地管理--农户申请弹窗
export function houseApplyFarmerStatisticsList(params) {
  return request({
    url: '/house/dataScreen/houseApplyFarmerStatisticsList',
    method: 'get',
    params: params
  })
}
//宅基地管理--批准用地弹窗
export function houseApplyUsageStatisticsList(params) {
  return request({
    url: '/house/dataScreen/houseApplyUsageStatisticsList',
    method: 'get',
    params: params
  })
}
//宅基地利用--利用统计弹窗
export function houseUsageDeptStatisticsList(params) {
  return request({
    url: '/house/dataScreen/houseUsageDeptStatisticsList',
    method: 'get',
    params: params
  })
}
//宅基地监管--上级下发弹窗
export function houseSuperviseTaskIssueList(params) {
  return request({
    url: '/house/dataScreen/houseUsageDeptStatisticsList',
    method: 'get',
    params: params
  })
}
//宅基地监管--巡查统计弹窗
export function houseInspectionDeptStatisticsList(params) {
  return request({
    url: '/house/dataScreen/houseInspectionDeptStatisticsList',
    method: 'get',
    params: params
  })
}
//宅基地监管--监管预警弹窗
export function houseWarningDeptStatisticsList(params) {
  return request({
    url: '/house/dataScreen/houseWarningDeptStatisticsList',
    method: 'get',
    params: params
  })
}
//宅基地监管--违法统计弹窗
export function houseIllegalDeptStatisticsList(params) {
  return request({
    url: '/house/dataScreen/houseIllegalDeptStatisticsList',
    method: 'get',
    params: params
  })
}

//宅基地管理--数据图层统计
export function houseApplyDeptStatistics(params) {
  return request({
    url: '/house/dataScreen/houseApplyDeptStatistics',
    method: 'get',
    params: params
  })
}

//宅基地利用--数据图层统计
export function houseUsageDeptStatistics(params) {
  return request({
    url: '/house/dataScreen/houseUsageDeptStatistics',
    method: 'get',
    params: params
  })
}

//宅基地管理--数据图层宅基地申请统计
export function houseApplyProposedSituation(params) {
  return request({
    url: '/house/dataScreen/houseApplyProposedSituation',
    method: 'get',
    params: params
  })
}

//宅基地现状-宅基地信息(中)
export function houseDetail(params) {
  return request({
    url: '/house/dataScreen/houseDetail',
    method: 'get',
    params: params
  })
}

//获取村级下拉
export function getUserGeoList(query) {
  return request({
    url: '/bigData/common/getUserGeoList/'+query,
    method: 'get'
  })

}

//宅基地概况
export function homeDataScreenStatistics(params) {
  return request({
    url: '/home/dataScreen/homeDataScreenStatistics',
    method: 'get',
    params: params
  })
}

//宅基地概况
export function homeDataApprovalStatistics(params) {
  return request({
    url: '/home/dataScreen/homeDataApprovalStatistics',
    method: 'get',
    params: params
  })
}

//宅基地概况
export function homeDataUtilizationStatistics(params) {
  return request({
    url: '/home/dataScreen/homeDataUtilizationStatistics',
    method: 'get',
    params: params
  })
}

//宅基地概况
export function homeDataIllegalDisputesStatistics(params) {
  return request({
    url: '/home/dataScreen/homeDataIllegalDisputesStatistics',
    method: 'get',
    params: params
  })
}
